<?xml version="1.0" encoding="UTF-8"?>
<?igorpro version="1.04"?>

<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="* text()"/>
	<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
	<body>
	<table id="waves">
	<tr id="density">
		<xsl:for-each select="//ATOM">
			<td><xsl:value-of select="DENSITY"/></td>
		</xsl:for-each>
	</tr>
	<tr id="AM">
		<xsl:for-each select="//ATOM">
			<td><xsl:value-of select="ATOMIC_WEIGHT"/></td>
		</xsl:for-each>
	</tr>
	<tr id="N_Z">
		<xsl:for-each select="//ATOM">
			<td><xsl:value-of select="ATOMIC_NUMBER"/></td>
		</xsl:for-each>
	</tr>
	<tr id="Tbp">
		<xsl:for-each select="//ATOM">
			<td><xsl:value-of select="BOILING_POINT"/></td>
		</xsl:for-each>
	</tr>
	<tr id="ro">
		<xsl:for-each select="//ATOM">
			<td><xsl:value-of select="ATOMIC_RADIUS"/></td>
		</xsl:for-each>
	</tr>
	</table>
	<DIV id="string">
	<p id="rounits">nm</p>
	<p id="Tbpunits">\So\MC</p>
	<p id="densityunits">g/cm\S3\M</p>
	</DIV>
	<xsl:apply-templates/>
	
	[code]
	Tbp += -273.15
	ro *= 0.1
	SetScale d 0,0,Tbpunits, Tbp
	SetScale d 0,0, rounits, ro
	SetScale d 0,0, densityunits, density
	killstrings/Z Tbpunits, rounits, densityunits
	[/code]

	</body>
	
</xsl:template>

<xsl:template match="*">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="text()">
	<xsl:apply-templates/>
</xsl:template>

</xsl:transform>